package net.javase.onenet.annotation;


import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * API参数注解
 *
 * @author Frank
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface ApiParam {

    /**
     * 自定义参数名
     *
     * @return name
     */
    String name() default "";

    /**
     * 是否为query参数
     *
     * @return true | false
     */
    boolean isQuery() default false;

    /**
     * 忽略参数
     *
     * @return true | false
     */
    boolean ignore() default false;
}
