package net.javase.onenet.config;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.io.Serializable;

/**
 * Config
 *
 * @author Frank
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class Config implements Serializable {

    private static final long serialVersionUID = 2864466266722905367L;

    /**
     * 用户ID
     */
    private String userid;

    /**
     * 用户accessKey
     */
    private String accessKey;

    /**
     * 创建配置对象
     *
     * @param userid    用户ID
     * @param accessKey 用户accessKey
     * @return {@link Config}
     */
    public static Config create(String userid, String accessKey) {
        return new Config(userid, accessKey);
    }

}
