package net.javase.onenet.model;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import net.javase.onenet.annotation.ApiParam;
import net.javase.onenet.model.base.BaseModel;

/**
 * DataPointQueryModel
 *
 * @author Frank
 */
@Getter
@Setter
@Builder
public class DataPointQueryModel extends BaseModel {

    /**
     * 数据流ID，多个id之间用逗号分开，缺省时取数据流或数据流模板100条为缺省数据流id条件
     */
    @ApiParam(name = "datastream_id")
    private String dataStreamId;

    /**
     * 产品名称
     */
    @ApiParam(name = "product_id")
    private String productId;

    /**
     * 设备名称
     */
    @ApiParam(name = "device_name")
    private String deviceName;

    /**
     * lwm2m协议时传，设备imei
     */
    private String imei;

    /**
     * 提取数据点的开始时间，精确到秒，示例：2015-01-10T08:00:35
     */
    private String start;

    /**
     * 提取数据点的结束时间，精确到秒，示例：2015-01-10T08:00:35
     */
    private String end;

    /**
     * 查询时间区间，单位为秒
     */
    private Integer duration;

    /**
     * 限定本次请求最多返回的数据点数，默认100，范围为(0,6000]
     */
    private Integer limit;

    /**
     * 指定本次请求继续从cursor位置开始提取数据
     */
    private String cursor;

    /**
     * 时间排序方式，DESC：倒序，ASC：升序，默认为DESC
     */
    private String sort;


}
