package net.javase.onenet.model;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import net.javase.onenet.annotation.ApiParam;
import net.javase.onenet.model.base.BaseModel;

import java.util.Map;

/**
 * SyncCmdsModel
 *
 * @author Frank
 */
@Getter
@Setter
@Builder
public class SyncCmdsModel extends BaseModel {

    /**
     * 产品名称
     */
    @ApiParam(name = "product_id")
    private String productId;

    /**
     * 设备名称
     */
    @ApiParam(name = "device_name")
    private String deviceName;

    /**
     * 同步API最长等待时间，取值范围 5-30， 单位秒
     */
    private String timeout;

    /**
     * 命令字符串，大小限制20KB
     */
    @ApiParam(ignore = true)
    private Map<String, Object> args;
}
