package net.javase.onenet.model.device;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import net.javase.onenet.annotation.ApiParam;
import net.javase.onenet.model.base.BaseModel;

/**
 * DeviceGroupListModel
 * <p>
 * 设备分组列表 <br>
 * 设备分组-设备列表
 *
 * @author Frank
 */
@Getter
@Setter
@Builder
public class DeviceGroupListModel extends BaseModel {

    /**
     * 分组名称，从左模糊匹配
     */
    private String name;

    /**
     * 设备分组标签key，必须与value一起出现，否则无效
     */
    private String key;

    /**
     * 设备分组标签value，必须与key一起出现，否则无效
     */
    private String value;

    /**
     * 分组ID
     */
    @ApiParam(name = "group_id")
    private String groupId;

    /**
     * 请求起始位置，默认0
     */
    private String offset;

    /**
     * 每次请求记录数，默认10，范围[1,100]
     */
    private String limit;

}
