package net.javase.onenet.model.device;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import net.javase.onenet.annotation.ApiParam;
import net.javase.onenet.model.base.BaseModel;

import java.util.Map;

/**
 * DeviceGroupModel <br>
 * 新建设备分组和编辑设备分组
 *
 * @author Frank
 */
@Getter
@Setter
@Builder
public class DeviceGroupModel extends BaseModel {

    /**
     * 分组ID, 编辑时必传
     */
    @ApiParam(name = "group_id")
    private String groupId;

    /**
     * 分组名称，由中英文、数字、短横线-、下划线_组成，开头首位必须是中英文，长度不超过64位
     */
    private String name;

    /**
     * 分组描述，长度不超过100位
     */
    private String desc;

    /**
     * 分组标签，格式为字典，字典key只能为1-16位英文数字，value长度不超过50
     */
    private Map<String, Object> tags;

}
