package net.javase.onenet.model.device;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import net.javase.onenet.annotation.ApiParam;
import net.javase.onenet.model.base.BaseModel;

import java.util.List;

/**
 * DeviceModel
 *
 * @author Frank
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
public class DeviceModel extends BaseModel {

    /**
     * 产品名称
     */
    @ApiParam(name = "product_id")
    private String productId;

    /**
     * 设备名称
     */
    @ApiParam(name = "device_name")
    private String deviceName;

    /**
     * 设备描述
     */
    private String desc;

    /**
     * 经度
     */
    private String lon;

    /**
     * 纬度
     */
    private String lat;

    /**
     * 设备标签，字符串数组
     */
    private List<String> tags;

    /**
     * LwM2M设备专有，当接入协议为LwM2M时必填，15位数字
     */
    private String imei;

    /**
     * LwM2M设备专有，必填，1-15位数字
     */
    private String imsi;

    /**
     * LwM2M设备专有，允许为空，当接入协议为LwM2M时该属性有效，<br>
     * 格式为英文字母、数字，长度为8-16位，若不传/传空则平台自动生成一个随机字符串作为psk
     */
    private String psk;

    /**
     * LwM2M设备专有，允许为空，格式为英文字母、数字，长度不超过16位
     */
    @ApiParam(name = "auth_code")
    private String authCode;

}
