package net.javase.onenet.model.device;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import net.javase.onenet.annotation.ApiParam;
import net.javase.onenet.model.base.BaseModel;

/**
 * DeviceMoveModel
 *
 * @author Frank
 */
@Getter
@Setter
@Builder
public class DeviceMoveModel extends BaseModel {

    /**
     * 产品ID
     */
    @ApiParam(name = "product_id")
    private String productId;

    /**
     * 接收人账户，可以是手机号或者用户名
     */
    @ApiParam(name = "target_user_tel")
    private String targetUserTel;

    /**
     * 被转移设备的名称数组（对于NB设备只能是imei数组），<br>
     * 如["name_1", "name_2"]，每个元素名称最长限制64位，数组元素不超过1000个
     */
    @ApiParam(name = "device_name")
    private String[] deviceName;
}
