package net.javase.onenet.model.device;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import net.javase.onenet.annotation.ApiParam;
import net.javase.onenet.model.base.BaseModel;

/**
 * DeviceResetSecKeyModel 更新设备sec_key
 *
 * @author Frank
 */
@Getter
@Setter
@Builder
public class DeviceResetSecKeyModel extends BaseModel {

    /**
     * 产品ID
     */
    @ApiParam(name = "product_id")
    protected String productId;

    /**
     * 设备名称
     */
    @ApiParam(name = "device_name")
    protected String deviceName;

    /**
     * 设备imei (当设备来自于老平台下NB套件产品时，imei必填，且device_name应当为空)
     */
    protected String imei;

    /**
     * 设备最新sec_key，值格式为base64 encode后的字符串，<br>
     * 原始内容格式只能包含英文和数字，长度不超过32位，若不传则会随机生成
     */
    @ApiParam(name = "sec_key")
    private String secKey;

}
