package net.javase.onenet.model.device;

import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import net.javase.onenet.annotation.ApiParam;
import net.javase.onenet.model.base.BaseModel;

/**
 * DeviceStatusHistoryModel 设备状态变更记录
 *
 * @author Frank
 */
@Getter
@Setter
@Builder
public class DeviceStatusHistoryModel extends BaseModel {

    /**
     * 产品ID
     */
    @ApiParam(name = "product_id")
    protected String productId;

    /**
     * 设备名称
     */
    @ApiParam(name = "device_name")
    protected String deviceName;

    /**
     * 设备imei (当设备来自于老平台下NB套件产品时，imei必填，且device_name应当为空)
     */
    protected String imei;

    /**
     * 查询起始时间-毫秒时间戳
     */
    @ApiParam(name = "start_time", isQuery = true)
    private String startTime;

    /**
     * 查询截止时间-毫秒时间戳
     */
    @ApiParam(name = "end_time", isQuery = true)
    private String endTime;

    /**
     * 请求起始位置，默认0
     */
    @ApiParam(isQuery = true)
    private Integer offset;

    /**
     * 每次请求记录数，默认10，范围[1,100]
     */
    @ApiParam(isQuery = true)
    private Integer limit;

}
