package net.javase.onenet.model.tsl;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import net.javase.onenet.annotation.ApiParam;
import net.javase.onenet.model.base.BaseModel;

import java.util.Map;

/**
 * ThingModel
 * <p>
 * 设置设备属性
 * <p>
 * 设备服务调用
 * <p>
 * 设备属性期望设置
 * <p>
 * 设备属性期望删除
 *
 * @author Frank
 */
@Getter
@Setter
@Builder
public class ThingModel extends BaseModel {

    /**
     * 产品名称
     */
    @ApiParam(name = "product_id")
    private String productId;

    /**
     * 设备名称
     */
    @ApiParam(name = "device_name")
    private String deviceName;

    /**
     * 属性功能点标识
     */
    private String identifier;

    /**
     * 设置的属性值, 数据格式为json对象,形式为key:value, <br>
     * key为属性功能点标识, value为属性值,取值符合物模型定义的数据类型和取值范围, 例如{ "switch": true }
     */
    private Map<String, Object> params;

}
