package net.javase.onenet.model.tsl;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import net.javase.onenet.annotation.ApiParam;
import net.javase.onenet.model.base.BaseModel;

/**
 * ThingQueryHistoryModel
 *
 * @author Frank
 */
@Getter
@Setter
@Builder
public class ThingQueryHistoryModel extends BaseModel {

    /**
     * 产品名称
     */
    @ApiParam(name = "product_id")
    private String productId;

    /**
     * 设备名称
     */
    @ApiParam(name = "device_name")
    private String deviceName;

    /**
     * 属性功能点标识
     */
    private String identifier;

    /**
     * 查询起始时间-毫秒时间戳
     */
    @ApiParam(name = "start_time")
    private String startTime;

    /**
     * 查询截止时间-毫秒时间戳
     */
    @ApiParam(name = "end_time")
    private String endTime;

    /**
     * 排序参数 1-正序 2-倒序 默认倒叙
     */
    private String sort;

    /**
     * 请求起始位置，默认0
     */
    private String offset;

    /**
     * 每次请求记录数，默认10，范围[1,100]
     */
    private String limit;
}
