package net.javase.onenet.test;

import net.javase.onenet.enums.SignMethod;
import net.javase.onenet.utils.SignUtil;
import org.junit.Test;

/**
 * TestSign sign生成测试
 *
 * @author Frank
 */
public class TestSign {

    /**
     * accessKey
     */
    static String KEY = "";

    /**
     * 用户ID
     */
    static String USERID = "";

    /**
     * sign生成
     */
    @Test
    public void testSign() {
        String resourceName = "userid/" + USERID;
        String expirationTime = String.valueOf((System.currentTimeMillis() / 1000) + 600);
        String sign = SignUtil.generatorSignature(SignUtil.DEFAULT_VERSION,
                resourceName, expirationTime, KEY, SignMethod.MD5.name().toLowerCase());
        System.out.println(sign);
    }

    /**
     * token生成
     */
    @Test
    public void testToken() {
        String resourceName = "userid/" + USERID;
        String expirationTime = String.valueOf((System.currentTimeMillis() / 1000) + 600);
        String token = SignUtil.assembleToken(SignUtil.DEFAULT_VERSION,
                resourceName, expirationTime, SignMethod.MD5, KEY);
        System.out.println("authorization: " + token);
    }
}
